#ifndef __SKINELCHI_SERVICE_H_
#define __SKINELCHI_SERVICE_H_
#include <vdr/thread.h>
#include <vdr/skins.h>

class cServiceUpdate : public cThread {
private:
    virtual void Action(void);
    int pid;
    cCondWait Wait;
public:
    cServiceUpdate(void);
    ~cServiceUpdate();
    void Update();
    int Pid;
    };

struct cService {
    cService(void);
    ~cService();
    bool Service(const char *Id, void *Data);
    void Update();
    cServiceUpdate *ServiceUpdate;
    };

extern cService SkinService;
#endif
